AssignControllerToEdge
POST
/api/sites/{siteId}/controllers/{controllerId}/assign
const url = 'https://demo.consystence.com/api/sites/example/controllers/example/assign';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"edgeId":"example","edgePlcId":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://demo.consystence.com/api/sites/example/controllers/example/assign \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "edgeId": "example", "edgePlcId": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”siteId
required
string
controllerId
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
edgeId
required
string
edgePlcId
string
Examplegenerated
{ "edgeId": "example", "edgePlcId": "example"}Responses
Section titled “Responses”OK